Get activity activity codes

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "SmartPM Public API MCP server": {
    "url": "https://developers.smartpm.com/mcp"
  }
}

Close
GET /project/{projectId}/activity-activity-codes

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required

Query parameters

  • scenarioId integer(int64)

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • mappingSource string

      Values are LEGACY, MANUAL, or SPML_AUTO.

    • activityCodeId integer(int64)
    • activityId integer(int64)
GET /project/{projectId}/activity-activity-codes
curl \
 --request GET 'https://live.smartpmtech.com/project/{projectId}/activity-activity-codes' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (200)
[
  {
    "mappingSource": "LEGACY",
    "activityCodeId": 42,
    "activityId": 42
  }
]